﻿$SQLServer = get-content env:computername
$SQLDBName = "WideWorldImportersDW" 
$delimiter = ","
$Today = Get-Date -uformat "%m_%d_%Y"
$SqlConnection = New-Object System.Data.SqlClient.SqlConnection
$SqlConnection.ConnectionString = "Server = $SQLServer; Database = $SQLDBName; Integrated Security = True;"
$SqlCmd = New-Object System.Data.SqlClient.SqlCommand
$SqlCmd.Connection = $SqlConnection
$SqlAdapter = New-Object System.Data.SqlClient.SqlDataAdapter
$FilePath = "C:\SQLData\DataExport\"
 
$SqlQuery = "
	SELECT
		Sale.[Sale Key],
		[Stock Item].[Stock Item],
		Customer.Customer,
		Sale.[Invoice Date Key],
		Sale.[Delivery Date Key],
		Sale.Quantity,
		Sale.[Unit Price],
		Sale.[Total Excluding Tax],
		Sale.Profit
	FROM Fact.Sale
	INNER JOIN Dimension.[Stock Item]
	ON [Stock Item].[Stock Item Key] = Sale.[Stock Item Key]
	INNER JOIN Dimension.Customer
	ON Customer.[Customer Key] = Sale.[Customer Key]
	WHERE Sale.[Invoice Date Key] >= '2/1/2016'
	AND Sale.[Invoice Date Key] < '3/1/2016';
"
$SqlCmd.CommandText = $SqlQuery
$SqlAdapter.SelectCommand = $SqlCmd
$DataSet = New-Object System.Data.DataSet
$SqlAdapter.Fill($DataSet)
$FileName = "Fact_Sale_" + $Today + "_" + $SQLServer + ".csv"
$FullPathWithFileName = $FilePath + $FileName
$DataSet.Tables[0] | export-csv -Delimiter $delimiter -Path $FullPathWithFileName -NoTypeInformation

Get-ChildItem -Path $FilePath -Recurse -Force | Where-Object { $_.PSIsContainer -eq $false -and $_.Length -eq 0 -and $_.Name -like '*.csv'} | remove-item
